## hungry-delete-el 1.1.7+git20210409.1.d919e55

=== Makefile ===
byte-compile:
	emacs -Q -L . -batch -f batch-byte-compile *.el

clean:
	rm *.elc

## hungry-delete-el 1.1.5

=== debian/changelog ===
hungry-delete-el (1.1.5-7) unstable; urgency=medium

  * Team upload

  [ David Krauser ]
  * Update maintainer email address

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Mon, 25 Jan 2021 15:13:44 -0400

hungry-delete-el (1.1.5-6) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 15:33:11 -0300

hungry-delete-el (1.1.5-5) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:22:12 -0300

hungry-delete-el (1.1.5-4) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:54:21 -0300

hungry-delete-el (1.1.5-3) unstable; urgency=medium

  * Fix debian/watch
  * Clear debian/control

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 18 Feb 2017 16:35:36 +0500

hungry-delete-el (1.1.5-2) unstable; urgency=medium

  * Fix Vcs-* fields in debian/control

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 06 Feb 2017 20:58:00 +0500

hungry-delete-el (1.1.5-1) unstable; urgency=medium

  * Initial release (Closes: #853766)

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 31 Jan 2017 22:11:10 +0500

=== debian/control ===
Source: hungry-delete-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Homepage: https://github.com/nflath/hungry-delete
Vcs-Browser: https://salsa.debian.org/emacsen-team/hungry-delete-el
Vcs-Git: https://salsa.debian.org/emacsen-team/hungry-delete-el.git

Package: elpa-hungry-delete
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacsen-common (>= 2.0.8)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: enable hungry deletion in all modes
 `cc-mode' implements hungry deletion for its programming modes. This
 package borrows its implementation in a minor mode, so that hungry
 deletion can be used in all modes.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hungry-delete-el-$1\.tar\.gz/ \
  https://github.com/nflath/hungry-delete/tags .*/v?(\d\S*)\.tar\.gz

## hungry-delete-el 1.1.7%2Bgit20210409.1.d919e55

=== debian/changelog ===
hungry-delete-el (1.1.7+git20210409.1.d919e55-1) unstable; urgency=medium

  * Team upload.

  [ Aymeric Agon-Rambosson ]
  * New upstream snapshot.
  * Refresh patch.
  * d/control:
    - Bump Standards-Version to 4.6.2 (no changes required).
    - Remove hardcoded dependency on emacsen-common (letting debhelper add
      it for us if needed).
    - Remove version on emacs Recommends (redundant).

  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Enhances (packages do not exist in
    bullseye).

  [ Lev Lamberov ]
  * d/control: Drop unneeded comma
  * d/control: Drop Built-Using field

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 13 Nov 2023 12:42:32 +0500

## hungry-delete-el 1.1.7+git20210409.1.d919e55

=== debian/changelog ===
hungry-delete-el (1.1.7+git20210409.1.d919e55-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:14:37 +0900

=== debian/control ===
Source: hungry-delete-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.6.2
Homepage: https://github.com/nflath/hungry-delete
Vcs-Browser: https://salsa.debian.org/emacsen-team/hungry-delete-el
Vcs-Git: https://salsa.debian.org/emacsen-team/hungry-delete-el.git

Package: elpa-hungry-delete
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: enable hungry deletion in all modes
 `cc-mode' implements hungry deletion for its programming modes. This
 package borrows its implementation in a minor mode, so that hungry
 deletion can be used in all modes.
